using Gtk;

int main (string[] args) {
    Gtk.init (ref args);

    var window = new Window ();
    window.title = "Sidebar Sample";
    window.set_default_size (300, 50);
    window.position = WindowPosition.CENTER;
    window.destroy.connect (Gtk.main_quit);
    
    var box = new VBox(false, 0);

   var sidebar = new ElementaryWidgets.SideBar();
   
   /* add some items */
   TreeIter library;
   TreeIter devices;
   TreeIter network;
   
   library = sidebar.addItem(null, null, null, null, "Library", sidebar.render_icon(Gtk.Stock.DELETE, IconSize.MENU, null));
   devices = sidebar.addItem(null, null, null, null, "Devices", null);
   network = sidebar.addItem(null, null, null, null, "Network", null);
   sidebar.addItem(null, null, null, null, "Shananigans", null);
   
   sidebar.addItem(library, null, null, sidebar.render_icon(Gtk.Stock.MEDIA_PLAY, IconSize.MENU, null), "Music", null);
   
   TreeIter itema = sidebar.addItem(devices, null, null, sidebar.render_icon(Gtk.Stock.HARDDISK, IconSize.MENU, null), "External HD", null);
   //TreeIter itemb = sidebar.addItem(devices, null, null, true, sidebar.render_icon(Gtk.Stock.FLOPPY, IconSize.MENU, null), "Floppy Disc", sidebar.render_icon(Gtk.Stock.DELETE, IconSize.MENU, null));
   
   sidebar.addItem(network, null, null, sidebar.render_icon(Gtk.Stock.NETWORK, IconSize.MENU, null), "Music Store", null);
   
   Button add = new Button.with_label("add");
   Button remove = new Button.with_label("remove");
   
   add.clicked.connect( () => {
		sidebar.addItem(devices, null, null, sidebar.render_icon(Gtk.Stock.FLOPPY, IconSize.MENU, null), "Floppy Disc", sidebar.render_icon(Gtk.Stock.DELETE, IconSize.MENU, null));
   });
   
   remove.clicked.connect( () => {
	   sidebar.removeItem(itema);
   });
   
   box.pack_start(sidebar, true, true, 0);
   box.pack_start(add, false, true, 0);
   box.pack_start(remove, false, true, 0);
   
   window.add(box);
   
   window.show_all ();

    Gtk.main ();
    return 0;
}
